ChartDirector Ver 5.0 (PHP Edition)

Layer.setHTMLImageMap

Usage

setHTMLImageMap(url [, queryFormat [, extraAttr ]])

Description

Override the default arguments used when generating HTML image map for the layer.
BaseChart.getHTMLImageMap can be used to generate HTML image map for the whole chart. When BaseChart.getHTMLImageMap is used, the image map for all layers will be generated based on the arguments supplied to BaseChart.getHTMLImageMap.
The setHTMLImageMap method can be used to override those arguments for a chart layer, so the image map for that layer can be different.
For a detail description of image maps, please refer to BaseChart.getHTMLImageMap.

Arguments

Argument | Default | Description
--- | --- | ---
url | (Mandatory) | The URL to be used in the "href" attribute of the image map. Parameter Substitution and Formatting is supported. The special keyword "{default}" represents the global URL as specified in BaseChart.getHTMLImageMap. This field is useful for specifying appending to the global URL. Note that an empty string also means to use the global URL. To specify no URL, use the special keyword "{none}". To disable the entire image map, use the special keyword "{disable}".
queryFormat | "" | A text string representing the template of the query parameters to be appended to the URL. Parameter Substitution and Formatting is supported. The special keyword "{default}" represents the global query parameters as specified in BaseChart.getHTMLImageMap. This field is useful for specifying appending to the global query parameters. Note that an empty string also means to use the global query parameters. To specify no query parameters, use the special keyword "{none}".
extraAttr | "" | A text string to specify additional attributes to add to the <area> tag. Parameter Substitution and Formatting is supported. The special keyword "{default}" represents the global additional attributes as specified in BaseChart.getHTMLImageMap. This field is useful for specifying appending to the global additional attributes. Note that an empty string also means to use the global additional attributes. To specify no additional attributes, use the special keyword "{none}".

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.